/** @file sys_lbist.h
*   @brief CPU Built In Self Test Driver Header File
*   @date 15.January.2012
*   @version 3.00.00
*   
*   This file contains:
*   - LBIST General Definitions
*   .
*   which are relevant for the LBIST driver.
*/

/* (c) Texas Instruments 2012, All rights reserved. */

#ifndef __SYS_LBIST_H__
#define __SYS_LBIST_H__

void _lbistTest_(void);
void lbistNotification(unsigned notification);

typedef volatile struct
{
    unsigned STCGCR0;         /* 0x00      */
    unsigned STCGCR1;         /* 0x04      */
    unsigned STCTPR;          /* 0x08      */
    unsigned STCCADDR;        /* 0x0C      */
    unsigned STCCICR;         /* 0x10      */    
    unsigned STCGSTAT;        /* 0x14      */    
    unsigned STCFSTAT;        /* 0x18      */    
    unsigned CPU1CURMISR0;    /* 0x1C      */    
    unsigned CPU1CURMISR1;    /* 0x20      */
    unsigned CPU1CURMISR2;    /* 0x24      */
    unsigned CPU1CURMISR3;    /* 0x28      */            
    unsigned CPU2CURMISR0;    /* 0x2C      */    
    unsigned CPU2CURMISR1;    /* 0x30      */
    unsigned CPU2CURMISR2;    /* 0x34      */
    unsigned CPU2CURMISR3;    /* 0x38      */            
} lbistBASE_t;

/** @def LBIST
*   @brief LBIST Register Frame Pointer
*
*   This pointer is used by the lbist driver to access the lbist registers.
*/

#define lbistREG ((lbistBASE_t *)0xFFFFE400U)


#endif
